.login-wrapper {
    width: 100%;
    margin: 0 auto;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: #F6F7F8;
    align-items: center;
}

.login-logo-section {
    width: 100%;
    max-width: 1440px;
    min-height: 201px;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.login-container {
    width: 100%;
    max-width: 1440px;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.login-logo {
    padding-top: 80px;
    padding-left: 77px;
    display: flex;
    object-fit: contain;
}

.login-header {
    padding-top: 67px;
    padding-right: 122px;
    display: flex;
    align-items: center;
    gap: 35px;
    height: 50px;
}

.login-header-text {
    font-family: Inter, sans-serif;
    font-size: 20px;
    font-weight: 400;
    color: #000000;
}

.signup-button {
    background-color: #2A3647;
    color: #FFFFFF;
    padding: 15px 20px;
    border-radius: 8px;
    font-family: Inter, sans-serif;
    font-size: 16px;
    font-weight: 700;
    transition: background-color 0.3s ease;
}

.signup-button:hover {
    background-color: #29ABE2;
}

.login-card {
    background: #FFFFFF;
    border-radius: 30px;
    box-shadow: 0px 0px 14px 3px rgba(0, 0, 0, 0.04);
    padding: 48px clamp(16px, -132.5px + 24.75vw, 115px);
    width: calc(100% - 64px);
    max-width: 422px;
    margin: 0 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.login-title {
    font-family: Inter_bold, sans-serif;
    font-size: 61px;
    font-weight: 700;
    line-height: 120%;
    position: relative;
    padding-bottom: 16px;
}

.login-title::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 150px;
    height: 3px;
    background-color: #29ABE2;
}

.login-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.lock::after {
    content: "";
    min-width: 24px;
    width: 24px;
    background: url(../../assets/icons/login/lock.svg) center / contain no-repeat;
}

.input-wrapper {
    width: calc(100% - 42px);
    display: flex;
    align-items: center;
    border: 1px solid #D1D1D1;
    border-radius: 10px;
    padding: 0 21px;
    margin-top: 32px;
}

.login-input {
    width: 100%;
    height: 45px;
    font-family: Inter, sans-serif;
    font-size: 20px;
    font-weight: 400;
    color: #000000;
    background-color: #FFFFFF;
    transition: border-color 0.3s ease;
    border: none;
}

.login-input:focus {
    outline: none;
    border-color: #29ABE2;
}

.login-input::placeholder {
    color: #D1D1D1;
}

.input-icon {
    width: 24px;
    height: 24px;
    pointer-events: none;
}

.login-buttons {
    display: flex;
    gap: 32px;
}

.login-button-primary,
.login-button-secondary {
    flex: 1;
    height: 48px;
    border-radius: 8px;
    font-family: Inter, sans-serif;
    font-size: 21px;
    font-weight: 700;
    padding: 0 12px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.login-button-primary {
    background-color: #2A3647;
    color: #FFFFFF;
    border: none;
    padding: 0 18px;
}

.login-button-primary:hover {
    background-color: #29ABE2;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.login-button-secondary {
    background-color: transparent;
    color: #2A3647;
    border: 1px solid #2A3647;
}

.login-button-secondary:hover {
    color: #29ABE2;
    border-color: #29ABE2;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.login-footer {
    width: 100%;
    max-width: 1440px;
    display: flex;
    justify-content: center;
    gap: 32px;
    padding: 22px 0;
}

.login-footer a {
    font-family: Inter, sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: #A8A8A8;
    transition: color 0.3s ease;
}

.login-footer a:hover {
    color: #29ABE2;
}

.sticky-bottom {
    position: sticky;
    bottom: 0;
    z-index: 10;
}

.login-button {
    padding: 0 12px;
    white-space: nowrap;
}

.guest-button {
    flex: 0;
    white-space: nowrap;
    padding: 0 24px;
}

.login-buttons button {
    min-height: 48px;
}

.login-error-message {
    margin: 8px 0;
    font-size: 18px;
    color: #FF3B3B;
    text-align: center;
    min-height: 34px;
    font-family: Inter, sans-serif;
}

#animatedLogo {
    z-index: 26;
    animation: logoAnimation 0.7s ease-in-out forwards;
}

.animation-overlay {
    background-color: #F6F7F8;
    animation: backgroundColor 1s ease-in forwards;
}

.placeholder {
    animation: placeholder 0.7s ease-in-out forwards;
}


@keyframes logoAnimation {
    0% {
        content: url(../../assets/icons/logo/logoSmall.svg);
        position: absolute;
        width: 274px;
        height: auto;
        top: 50vh;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    100% {
        content: url(../../assets/icons/logo/logoSmall.svg);
        position: absolute;
        width: 100px;
        top: 80px;
        left: 77px;
        transform: translate(0, 0);
    }
}

@keyframes backgroundColor {
    0% {
        position: fixed;
        width: 100%;
        height: 100%;
        opacity: 1;
        z-index: 25;
    }

    100% {
        opacity: 0;

    }
}

@keyframes placeholder {
    0% {}

    100% {
        display: none;
    }
}